Your submission was sent successfully! Close

USN-5043-2: Exiv2 regression

11 January 2022

USN-5043-1 introduced a regression in Exiv2.

Releases

Packages

  • exiv2 - EXIF/IPTC/XMP metadata manipulation tool

Details

USN-5043-1 fixed vulnerabilities in Exiv2. The update introduced a new regression
that could cause a crash in applications using libexiv2. This update fixes the problem.

We apologize for the inconvenience.

Original advisory details:

It was discovered that Exiv2 incorrectly handled certain image files.
An attacker could possibly use this issue to cause a denial of service.
(CVE-2021-37620)

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 21.10
Ubuntu 21.04
Ubuntu 20.04

In general, a standard system update will make all the necessary changes.

Related notices

  • USN-5043-1: exiv2, libexiv2-dev, libexiv2-doc, libexiv2-14, libexiv2-27